# Uses of Interface
com.mockobjects.constraint.Constraint

Packages that use Constraint
Package
Description
com.mockobjects.constraint
com.mockobjects.dynamic

## Uses of Constraint in com.mockobjects.constraint

Classes in com.mockobjects.constraint that implement Constraint
Modifier and Type
Class
Description
`class`
`And`
Calculates the logical conjunction of two constraints.
`class`
`IsAnything`
A constraint that always returns `true`.
`class`
`IsCloseTo`
Is the value a number equal to a value within some range of acceptable error?
`class`
`IsEqual`
Is the value equal to another value, as tested by the `Object.equals(java.lang.Object)` method?
`class`
`IsEventFrom`
Tests if the value is an event announced by a specific object.
`class`
`IsGreaterThan`
Is the value greater than another `Comparable` value?
`class`
`IsInstanceOf`
Tests whether the value is an instance of a class.
`class`
`IsLessThan`
Is the value less than another `Comparable` value?
`class`
`IsNot`
Calculates the logical negation of a constraint.
`class`
`IsNull`
Is the value null?
`class`
`IsSame`
Is the value the same object as another value?
`class`
`Or`
Calculates the logical disjunction of two constraints.
Constructors in com.mockobjects.constraint with parameters of type Constraint
Modifier
Constructor
Description
``
`And(Constraint p1, Constraint p2)`
``
`IsNot(Constraint p)`
``
`Or(Constraint p1, Constraint p2)`

## Uses of Constraint in com.mockobjects.dynamic

Fields in com.mockobjects.dynamic declared as Constraint
Modifier and Type
Field
Description
`static final Constraint`
C.`IS_FALSE`
`static final Constraint`
C.`IS_NOT_NULL`
`static final Constraint`
C.`IS_NOT_ZERO`
`static final Constraint`
C.`IS_TRUE`
`static final Constraint`
C.`IS_ZERO`
Methods in com.mockobjects.dynamic that return Constraint
Modifier and Type
Method
Description
`static Constraint`
C.`and(Constraint p1, Constraint p2)`
`static Constraint`
C.`eq(double d)`
`static Constraint`
C.`eq(int n)`
`static Constraint`
C.`eq(long l)`
`static Constraint`
C.`eq(Object o)`
`static Constraint`
C.`gt(char c)`
`static Constraint`
C.`gt(double d)`
`static Constraint`
C.`gt(int n)`
`static Constraint`
C.`gt(long l)`
`static Constraint`
C.`isA(Class c)`
`static Constraint`
C.`lt(char c)`
`static Constraint`
C.`lt(double d)`
`static Constraint`
C.`lt(int n)`
`static Constraint`
C.`lt(long l)`
`static Constraint`
C.`not(Constraint p)`
`static Constraint`
C.`or(Constraint p1, Constraint p2)`
`static Constraint`
C.`same(Object o)`
Methods in com.mockobjects.dynamic with parameters of type Constraint
Modifier and Type
Method
Description
`static Constraint`
C.`and(Constraint p1, Constraint p2)`
`static ConstraintMatcher`
C.`args(Constraint p)`
`static ConstraintMatcher`
C.`args(Constraint p1, Constraint p2)`
`static ConstraintMatcher`
C.`args(Constraint p1, Constraint p2, Constraint p3)`
`static Constraint`
C.`not(Constraint p)`
`static Constraint`
C.`or(Constraint p1, Constraint p2)`
Constructors in com.mockobjects.dynamic with parameters of type Constraint
Modifier
Constructor
Description
``
`FullConstraintMatcher(Constraint c1)`
``
`FullConstraintMatcher(Constraint[] constraints)`
``
`FullConstraintMatcher(Constraint c1, Constraint c2)`
``
`FullConstraintMatcher(Constraint c1, Constraint c2, Constraint c3)`